
Redmine - Defect #1108

E-mail notification address in Administration works bad if has a '+' sign

2008-04-25 18:49 - Leandro Lucarella

Status: Closed Start date: 2008-04-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

GMail and other mail server let you have multiple virtual e-mail addresses, using a +something suffix. For example, all 

example@gmail.com, example+somthing@gmail.com and example+otherthing@gmail.com are delivered to example@gmail.com.

The problem is, when using an address with '+' sign on it as the From: address for e-mail notifications, the address is broken, and

instead of, for exmaple, setting the From: to example+somthing@gmail.com, somthing@gmail.com is used.

History

#1 - 2008-04-26 16:44 - Thomas Lecavelier

Could you check again: I'm using redmine r1350, and checking with gmail I have correctly mymail+redmine@gmail.com, but gmail show it as 

mymail@gmail.com (see the "display original" in gmail, line starting with Delivered To:)

#2 - 2008-04-30 14:02 - Jean-Philippe Lang

I can't reproduce. The email address is not broken when used as the From email address.

Here is the raw email that is generated. You can see the From address is example+somthing@gmail.com:

From: example+somthing@gmail.com

Bcc: jsmith@foo.bar

Subject: Redmine test

Mime-Version: 1.0

Content-Type: multipart/alternative; boundary=mimepart_48185f4af03c0_cac24164581

10

X-Mailer: Redmine

X-Redmine-Site: Redmine

X-Redmine-Host: www.redmine.org

--mimepart_48185f4af03c0_cac2416458110

Content-Type: text/plain; charset=utf-8

Content-Transfer-Encoding: Quoted-printable

[...]

 In your case, how do you see that somthing@gmail.com is used rather than example+somthing@gmail.com ?

You can run redmine with development environment and check the raw email dump that you will find in the log.

#3 - 2008-04-30 19:29 - Leandro Lucarella

- Status changed from New to Resolved

Well, I tested it again and it seems to work. It probably was a MUA problem.

I'm sorry about the noise :S

#4 - 2008-04-30 21:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.7.0-RC1)

- Resolution set to Invalid

Thanks for the feedback.
